import React from 'react'
import { shallow } from 'enzyme'

import BuildingButtons from '../../BuildingButtons'
import SDKBuildingButtons from '../index'
import { Provider } from '../../../../../../common/react-redux'

describe('SDKBuildingButtons', () => {
  it('includes the BuildingButtons component', () => {
    const wrapper = shallow(<SDKBuildingButtons />)
    expect(wrapper.find(BuildingButtons)).to.have.length(1)
  })

  it('include a Provider wrapper', () => {
    const wrapper = shallow(<SDKBuildingButtons />)
    expect(wrapper.find(Provider)).to.have.length(1)
  })
})
